//global variables
var svgdoc;
var svgSVGObj;
var themeList = new Array (  "grenzen", "gewaesser");
var themeId;
var layerId;

//********** init function *****************************************************
function initMap(evt){
	svgdoc = evt.target.ownerDocument;
	svgSVGObj = svgdoc.getDocumentElement();
	//********** get default layers and put them into the main map *****************
	for (var i=0; i<themeList.length; i++) {			
			themeId = themeList[i];
			var newAdress = "Basiskarte_dichte/"+themeId+".svg";
			//alert(newAdress);
			getURL(newAdress, parseTheme);	
		}
		//alert(evt.getTarget().getOwnerDocument().getElementById("layout"));
	}
// *************** parse function for external svg files ***************************
function parseTheme(data) {
	var currentTheme = svgdoc.getElementById(themeId);
	if(data.success){
		var stringOfDataContent = data.content;
	//	alert(stringOfDataContent);
		var node = parseXML(data.content, svgdoc);
		stringOfDataContent = stringOfDataContent.split("\"");
		
		stringOfDataContent = stringOfDataContent[1].replace(/_svg/, "");
	//	alert(stringOfDataContent);
		var currentTheme = svgdoc.getElementById(stringOfDataContent);
		currentTheme.appendChild(node);
		}
	else {
		alert(themeId+": something went wrong");
	}
}
// ******************get or remove layer ******************************************
function getRemoveLayer(evt){
	var element = evt.getTarget();
	var text = new String(element.id);
	themeId = text.replace(/rect_/,"");
	text = "cross_"+themeId;
	var crossElement = svgDocument.getElementById(text);
	var currentState = crossElement.getAttribute("visibility");
	if((themeId=="koordNetz")||(themeId=="beschriftung")){
		Layer = svgDocument.getElementById(themeId);
		if (currentState == "hidden") {
			svgdoc.getElementById(themeId).setAttribute("visibility", "visible");
		}
		else {						
			svgdoc.getElementById(themeId).setAttribute("visibility", "hidden");
		}
		}
	else{
	  layer = svgDocument.getElementById(themeId);
		if (currentState == "hidden") {
			var newAdress = "Basiskarte_dichte/"+themeId+".svg";
			getURL(newAdress, parseTheme);
		}
		else {						
			removeTheme(themeId);
		}
	}
	if (currentState == "hidden") {
		newState = "visible";
	}
	else {						
		newState = "hidden";
	}
	crossElement.setAttribute("visibility", newState);
}
		
	
//**************** remove layer **********************************************
function removeTheme(themeId) {
	var currThemeId = new String (themeId);
	var currentTheme = svgdoc.getElementById(themeId);
	currChildThemeId = currThemeId+"_svg";
	var childTheme = svgdoc.getElementById(currChildThemeId);
	currentTheme.removeChild(childTheme);
	
}	
// ************* get more info about the basis map type ***********************************
function getInfo(evt){
	var element = evt.getTarget();
	var text = new String(element.id);
	infoId = text.replace(/rect_/,"");
	svgdoc.getElementById(infoId).setAttribute("visibility","visible");
	}
	
	function closeInfo(evt){
	var element = evt.getTarget().getParentNode();
	element.setAttribute("visibility","hidden");
		}
	