var svgNS = "http://www.w3.org/2000/svg";
var xlinkNS = "http://www.w3.org/1999/xlink";
var myMapApp = new mapApp();
var slider1;

function init(evt) {
	//slider properties: x1,y1,value1,x2,y2,value2,startValue,group in which to build the slider,color of slider
	//width of slider of sliderbar,width of invisible slider bar,id of slider symbol
	//function to call on mouseup/move, sendVal on mouse move (true|false)
	
	slider1 = new slider(300,250,1,440,250,11,0.8,"slider1","#CCCCCC",4,10,"sliderSymbolLightGrey",showVal,false);
	value=0.8;
	showVal("null","null",value);

}

function showVal(valType,groupId,value) {
	//valType can be "change" (on mouse move or click) or "release" (mouseup or mouseout)
	anzahlKlassen= Math.round(value);
	var anzhalKlassenText=document.getElementById("anzahlKlassen").firstChild.firstChild.nodeValue=+anzahlKlassen;
	var ParentElement=document.getElementById("diagramme");
	var anzahlKreise=13
	var zahl 
		for (var i=1; i< anzahlKreise; i++){
			var elementId= "kreis_"+i;
			var element = document.getElementById(elementId);
			var wert = element.getAttribute("attrib:WERT");
			var IntGroesse= (28-7)/anzahlKlassen;
			for(var j=0; j< anzahlKlassen; j++){
				if ((wert>=Math.round(7+j*IntGroesse))&&(wert<= Math.round(7+(j+1)*IntGroesse))){
					element.setAttribute("r", 7+j*IntGroesse+0.5*IntGroesse)
					j=anzahlKlassen;
				}
			}
		}
//********************** Legende wird gezeichnet  *******************************************3
			
			var legend = document.getElementById("legend");
			var legendElement = document.getElementById("legend_text");
				if (legendElement != null){
				legend.removeChild(legendElement);
			}	
			var yOffset=150;
			var xOffset=265;
			var groupe = document.createElementNS(svgNS,"g");
			groupe.setAttributeNS(null,"id","legend_text");	
			for(var j=0; j< anzahlKlassen && j<6; j++){
				if(j==0){
					var text=Math.round(7+j*IntGroesse)+" - "+Math.round(7+(j+1)*IntGroesse);
					}
				else{
					var text=">"+Math.round(7+j*IntGroesse)+" - "+Math.round(7+(j+1)*IntGroesse);
				}
				var node = document.createElementNS(svgNS,"text");
				node.setAttributeNS(null,"x",xOffset);
				node.setAttributeNS(null,"y",yOffset);
				node.setAttributeNS(null,"pointer-events","none");
				node.setAttributeNS(null,"style","font-family:arial; font-size:8; fill:#333333; text-anchor:middle");
				var selectionText = document.createTextNode(text);
				node.appendChild(selectionText);
				groupe.appendChild(node);
				
				var node = document.createElementNS(svgNS,"circle");
				node.setAttributeNS(null,"cx", xOffset);
				node.setAttributeNS(null,"cy", yOffset-40);
				node.setAttributeNS(null,"r", 7+j*IntGroesse+0.5*IntGroesse);
				
				node.setAttributeNS(null,"style","fill:#669966;stroke:#1A1A1A;stroke-width:0.5;");
				groupe.appendChild(node);
					
				xOffset=xOffset+30+23*(j+1)/anzahlKlassen;
			}
			
			var yOffset=230;
			var xOffset=265;
			for(var j=6; j< anzahlKlassen; j++){
				if(j==0){
					var text=Math.round(7+j*IntGroesse)+" - "+Math.round(7+(j+1)*IntGroesse);
					}
				else{
					var text=">"+Math.round(7+j*IntGroesse)+" - "+Math.round(7+(j+1)*IntGroesse);
				}
				
				var node = document.createElementNS(svgNS,"text");
				node.setAttributeNS(null,"x",xOffset);
				node.setAttributeNS(null,"y",yOffset);
				node.setAttributeNS(null,"pointer-events","none");
				node.setAttributeNS(null,"style","font-family:arial; font-size:8; fill:#333333; text-anchor:middle;");
				var selectionText = document.createTextNode(text);
				node.appendChild(selectionText);
				groupe.appendChild(node);
				
				var node = document.createElementNS(svgNS,"circle");
				node.setAttributeNS(null,"cx", xOffset);
				node.setAttributeNS(null,"cy", yOffset-40);
				node.setAttributeNS(null,"r", 7+j*IntGroesse+0.5*IntGroesse);
				
				node.setAttributeNS(null,"style","fill:#669966;stroke:#1A1A1A;stroke-width:0.5;");
				groupe.appendChild(node);
					
				xOffset=xOffset+30+25*(j+1)/anzahlKlassen;
			}
			document.getElementById("legend").appendChild(groupe);
}

//*********************  Der Wert des Diagrammes wird angezeigt/ausgeblendet  **************************************

function showAttrib(evt) {
	 	var element=evt.target;
		var x= Number(element.getAttribute("cx"));
		var y= Number(element.getAttribute("cy"));
		var wert=element.getAttribute("attrib:WERT");
		//alert (x+", "+y);
		var groupe = document.createElementNS(svgNS,"g");
		groupe.setAttributeNS(null,"id","diagram_wert");
		var node = document.createElementNS(svgNS,"text");
		node.setAttributeNS(null,"x",x);
		node.setAttributeNS(null,"y",y+3);
		node.setAttributeNS(null,"pointer-events","none");
		node.setAttributeNS(null,"style","font-family:arial; font-size:8; fill:#333333; text-anchor:middle;");
		var selectionText = document.createTextNode(wert);
		node.appendChild(selectionText);
		groupe.appendChild(node);	
		document.getElementById("diagramme_text").appendChild(groupe);
}

function hideAttrib(evt){
	var legend = document.getElementById("diagramme_text");
	var legendElement = document.getElementById("diagram_wert");
	legend.removeChild(legendElement);
	}
//*****************************  Antwort wird abgefragt  **************************************************	
function changeColor(evt){
	if (evt.type == "mouseover"){
		document.getElementById("loesung").setAttribute("fill","red");
	}
	if (evt.type == "mouseout"){
		document.getElementById("loesung").setAttribute("fill","#333333");
	}
}
function getAnswer(evt){
	evt.target.setAttribute("pointer-events","none");
	var text = new Array("Fuer die vorliegenden Daten sind 3-6 Klassen", "geeignet. Werden mehr Klassen verwendet sind ","die Diagramme nicht mehr klar voneinander zu ", "unterscheiden und es entstehen leere Klassen ", "(bei Verwendung einer proportional gestuften ","Darstellung). Werden weniger Klassen verwendet,", "verliert die Karte stark an Aussagekraft.");
		//alert(text.length);
	var groupe = document.createElementNS(svgNS,"g");
	groupe.setAttributeNS(null,"id","answer_content");
	
	var node = document.createElementNS(svgNS,"rect");
	node.setAttributeNS(null,"x", "19.605");
	node.setAttributeNS(null,"y", "19.885");
	node.setAttributeNS(null,"width", "214.546");
	node.setAttributeNS(null,"height", "256.419");
	node.setAttributeNS(null,"style","fill:white;stroke:none;opacity:0.7;");
	groupe.appendChild(node);
	
	var node = document.createElementNS(svgNS,"rect");
	node.setAttributeNS(null,"x", "23");
	node.setAttributeNS(null,"y", "143");
	node.setAttributeNS(null,"width", "207");
	node.setAttributeNS(null,"height", "107");
	node.setAttributeNS(null,"style","fill:#669966;stroke:none;");
	node.setAttributeNS(null,"onclick","closeAnswer(evt)");
	groupe.appendChild(node);
	
	var xOffset=30;
	var yOffset=157;
	for(var i=0; i<text.length; i++){
		var node = document.createElementNS(svgNS,"text");
		node.setAttributeNS(null,"x",xOffset);
		node.setAttributeNS(null,"y",yOffset);
		node.setAttributeNS(null,"pointer-events","none");
		node.setAttributeNS(null,"style","font-family:arial; font-size:9; fill:black;");
		var selectionText = document.createTextNode(text[i]);
		node.appendChild(selectionText);
		groupe.appendChild(node);
		yOffset=yOffset+12;
	}
		var node = document.createElementNS(svgNS,"text");
		node.setAttributeNS(null,"x","184");
		node.setAttributeNS(null,"y","245");
		node.setAttributeNS(null,"pointer-events","none");
		node.setAttributeNS(null,"style","font-family:arial; font-size:9; fill:#003300;");
		var selectionText = document.createTextNode("schliessen");
		node.appendChild(selectionText);
		groupe.appendChild(node);
	
	//<path id="maske" d="M19.605,19.885h214.546v256.419H19.605V19.885z"/>		
	document.getElementById("antwort").appendChild(groupe);	
			
}
function closeAnswer(evt){
	var answer = document.getElementById("antwort");
	var answerElement = document.getElementById("answer_content");
	answer.removeChild(answerElement);
	document.getElementById("loesung_recht").setAttribute("pointer-events","all");
		
}