var svgNS = "http://www.w3.org/2000/svg";
var xlinkNS = "http://www.w3.org/1999/xlink";
var myMapApp = new mapApp();
var slider1;

function init(evt) {
	//slider properties: x1,y1,value1,x2,y2,value2,startValue,group in which to build the slider,color of slider
	//width of slider of sliderbar,width of invisible slider bar,id of slider symbol
	//function to call on mouseup/move, sendVal on mouse move (true|false)
	slider1 = new slider(314,100,0.3,314,280,1.8,0.8,"slider1","#CCCCCC",4,10,"sliderSymbolLightGrey",scaleDiagramms,false);
	value=0.8;
	scaleDiagramms("null","null",value);
}

function showVal(valType,groupId,value) {
	//valType can be "change" (on mouse move or click) or "release" (mouseup or mouseout)
	alert("SliderGroup: "+groupId+", Value: "+value);
}
function scaleDiagramms(valType,groupId,value) {


var ParentElement=document.getElementById("diagramme");
var anzahlKreise=13
	for (var i=1; i< anzahlKreise; i++){
		var elementId= "kreis_"+i;
		var element = document.getElementById(elementId);
		var myX = element.getAttributeNS(null,"cx");
		var myY = element.getAttributeNS(null,"cy");
		var newtransform = "scale(" + value + ") translate(" + (myX * 1 / value - myX) + " " + (myY * 1 / value - myY) +")";
		element.setAttributeNS(null,"transform", newtransform);
		if ((0.9<value)&&(1.1>value)){
			element.setAttribute("fill", "orange");
		}
		else{
			element.setAttribute("fill","#FFDC8D");
		}
	}
	if ((0.9<value)&&(1.1>value)){
		document.getElementById("optimaleGroesse").setAttribute("visibility","visible");
		document.getElementById("kleineGroesse").setAttribute("visibility","hidden");
		document.getElementById("grosseGroesse").setAttribute("visibility","hidden");
	}
		
	else if(value<=0.9){
		document.getElementById("kleineGroesse").setAttribute("visibility","hidden");
		document.getElementById("optimaleGroesse").setAttribute("visibility","hidden");
		document.getElementById("grosseGroesse").setAttribute("visibility","hidden");
	}
	else if(value>=1.1){
		document.getElementById("kleineGroesse").setAttribute("visibility","hidden");
		document.getElementById("optimaleGroesse").setAttribute("visibility","hidden");
		document.getElementById("grosseGroesse").setAttribute("visibility","hidden");
	}
}

