function toolTip(evt) {
			if (myMainMap.toolTip) {
				// toolTipRect and toolTipText references initialized in init function
				// factor for toolTip configuration
				var toolTipHeight = 15;
			
				// SHOW
				if(evt.type == "mouseover" || evt.type == "click") {
					myMainMap.toolTipGroup.setAttributeNS(null,"visibility","visible");
					var myText = evt.currentTarget.getAttributeNS(attribNS,"tooltip");
					// set text and rect attributes
					myMainMap.toolTipText.firstChild.nodeValue = myText;
					myMainMap.toolTipText.setAttributeNS(null,"style","text-rendering:optimizeLegibility;font-family:Arial;font-size:"+ toolTipHeight * 2 / 3 +"px; fill:black;");
					myMainMap.toolTipRect.setAttributeNS(null,"style","shape-rendering:optimizeSpeed; fill:white; stroke:black; stroke-width: 1px;");
					myMainMap.toolTipRect.setAttributeNS(null,"width",myMainMap.toolTipText.getComputedTextLength() + (toolTipHeight / 2));
					myMainMap.toolTipRect.setAttributeNS(null,"height",toolTipHeight);
				}
				if (evt.type == "mousemove" || evt.type == "mouseover" || evt.type == "click")
				{				
					// get scrolled translation
					var coords = myMapApp.calcCoord(evt,myMainMap.toolTipGroup);				 
					myMainMap.toolTipText.setAttributeNS(null,"x",coords.x + (toolTipHeight * 2 / 3));
					myMainMap.toolTipText.setAttributeNS(null,"y",coords.y - (toolTipHeight / 4));
					// set rectangle
					myMainMap.toolTipRect.setAttributeNS(null,"x",coords.x + toolTipHeight / 3);
					myMainMap.toolTipRect.setAttributeNS(null,"y",coords.y - toolTipHeight);
				}
				// HIDE
				if(evt.type == "mouseout") {
					myMainMap.toolTipGroup.setAttributeNS(null,"visibility","hidden");
				}
		}
}

function updatetoolTip(evt) {
		if (myMainMap.toolTip) {
			if (myMainMap.toolTipGroup.getAttributeNS(null,"visibility") == "visible") {
					var myText = evt.currentTarget.getAttributeNS(attribNS,"tooltip");
					var toolTipHeight = 15;
					// set text and rect attributes
					myMainMap.toolTipText.firstChild.nodeValue = myText;
					myMainMap.toolTipRect.setAttributeNS(null,"width",myMainMap.toolTipText.getComputedTextLength() + (toolTipHeight / 2));
			}
		}	
}